
QGIS Application - Bug report #15156

Problems by combining selected features

2016-06-28 03:14 AM - Tomas Cabezudo

Status: Closed

Priority: High

Assignee: Tomas Cabezudo

Category: Geometry

Affected QGIS version:2.14.3 Regression?: No

Operating System: windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 23095

Description

Problems combining adyacent selected features. Resulting entity is not correct. Some segments remain in the common edge between

entities.

History

#1 - 2016-06-28 03:17 AM - Tomas Cabezudo

- File error.rar added

#2 - 2016-06-28 04:33 AM - Tomas Cabezudo

- File before.JPG added

#3 - 2016-06-28 04:33 AM - Tomas Cabezudo

- File after.JPG added

#4 - 2016-07-06 03:37 AM - Martin Dobias

- Resolution set to invalid

- Status changed from Open to Closed

The results are actually correct - there are tiny gaps in your input data. It is possible to verify that either with Topology checker plugin or with Geometry

checker (using option "check for gaps", make sure to use very small tolerance, e.g. 1e-16)

Files

error.rar 828 Bytes 2016-06-28 Tomas Cabezudo

error.rar 1.85 KB 2016-06-28 Tomas Cabezudo

before.JPG 74.6 KB 2016-06-28 Tomas Cabezudo

after.JPG 62.6 KB 2016-06-28 Tomas Cabezudo
